Summary: Web server log file analysis program
Name: webalizer
Version: 1.22_03
Release: 1
Copyright: GPL
Group: Applications/System
Source: ftp://www.mrunix.net/pub/webalizer/webalizer-1.22-03-src.tgz 
Source1: webalizer.sh
URL: http://www.mrunix.net/webalizer/
Patch: webalizer.patch
BuildRoot: /var/tmp/webalizer-root


%description

The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server procduces Combined log format files).

%prep
%setup -q -n webalizer-1.22-03
%patch -p1 -b .patch

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/lib/webalizer
install -m 755 -s webalizer $RPM_BUILD_ROOT/usr/bin
install -m 644 sample.conf $RPM_BUILD_ROOT/etc/webalizer.conf
install -m 755 $RPM_SOURCE_DIR/webalizer.sh $RPM_BUILD_ROOT/usr/lib/webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%config /etc/webalizer.conf
/usr/bin/webalizer
/usr/lib/webalizer/webalizer.sh

%doc CHANGES COPYING Copyright INSTALL README REDHAT.README country-codes.txt msfree.gif webalizer.LSM 

%changelog
* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Mon Aug 10 1998 Michael Maher <mike@redhat.com>
- built package 
